Name: playonlinux
Version: 4.2.10
Summary: Front-end application for the wine
License: GPLv3
URL: https://www.playonlinux.com
Release: 2%{?dist}
Requires: unzip
Requires: wine
Requires: wget
Requires: xterm
Requires: python2 > 2.4
Requires: wxPython
Requires: ImageMagick
Requires: cabextract
Requires: icoutils
Requires: p7zip-plugins
BuildRequires: gzip
BuildRequires: mesa-libGL-devel
BuildRequires: python2 > 2.4
BuildRequires: desktop-file-utils
BuildRequires: gettext
Source0: https://github.com/PlayOnLinux/POL-POM-4/archive/%{version}.tar.gz

# Add documentation to playonlinux
# Add Makefile to build and install playonlinux
# https://github.com/PlayOnLinux/POL-POM-4/pull/33
Patch0: 0001-Add-Makefile-to-build-and-install-playonlinux.patch
# Change check_gl to use compiled version of check dd
# https://github.com/PlayOnLinux/POL-POM-4/pull/33
Patch1: 0002-Change-check_gl-to-use-compiled-version-of-check_dd.patch
# Updated desktop file for the new format
# https://github.com/PlayOnLinux/POL-POM-4/pull/35
Patch2: 0003-Updated-desktop-file-for-the-new-format.patch
# Move build check_dd to /usr/libexec as says FHS
# https://github.com/PlayOnLinux/POL-POM-4/pull/33
Patch3: 0004-Move-build-check_dd-to-usr-libexec-as-says-FHS.patch

%global BUILD_DIR POL-POM-4-%{version}
%global SOURCE_DIR %{_builddir}/%{BUILD_DIR}

%description
PlayOnLinux better management for your wine.

%prep
%autosetup -n %{BUILD_DIR} -p1

%build
%make_build

%install
%make_install
chmod +x %{buildroot}/%{_datadir}/%{name}/python/gui_server.py
chmod +x %{buildroot}/%{_datadir}/%{name}/tests/python/test_versionlower.py
chmod +x %{buildroot}/%{_datadir}/%{name}/tests/bash/test-versionlower
%find_lang pol

%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/PlayOnLinux.desktop

%files -f pol.lang
%doc README.md
%license LICENCE doc/copyright
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%{name}/
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_libexecdir}/playonlinux-check_dd

%changelog
* Thu Jan 7 2016 Jiri Konecny <jkonecny@redhat.com> 4.2.10-2
- Reworked patches for Makefile (Patch0, Patch1, Patch3 changed)
- Using make_install and make_build macros

* Mon Jan 4 2016 Jiri Konecny <jkonecny@redhat.com> 4.2.10-1
- New version 4.2.10
- Use more macros
- Add missing dependencies

* Thu Dec 10 2015 Jiri Konecny <jkonecny@redhat.com> 4.2.9-2
- Fix missing bad lang files. Remove exclude.

* Wed Nov 11 2015 Jiri Konecny <jkonecny@redhat.com> 4.2.9-1
- Package creation

